import json

# Generated by ./scripts/parse_datasets.py.
ALL_DATASETS_JSON = '''
[
    {
        "name": "LL0_1100_popularkids_MIN_METADATA",
        "dataset_id": "LL0_1100_popularkids_MIN_METADATA_dataset",
        "problem_id": "LL0_1100_popularkids_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 100,
        "train_dataset_id": "LL0_1100_popularkids_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL0_1100_popularkids_MIN_METADATA_problem",
        "test_dataset_id": "LL0_1100_popularkids_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL0_1100_popularkids_MIN_METADATA_problem",
        "score_dataset_id": "LL0_1100_popularkids_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL0_1100_popularkids_MIN_METADATA_problem"
    },
    {
        "name": "uu_101_object_categories_MIN_METADATA",
        "dataset_id": "uu_101_object_categories_MIN_METADATA_dataset",
        "problem_id": "uu_101_object_categories_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 868,
        "train_dataset_id": "uu_101_object_categories_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu_101_object_categories_MIN_METADATA_problem",
        "test_dataset_id": "uu_101_object_categories_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu_101_object_categories_MIN_METADATA_problem",
        "score_dataset_id": "uu_101_object_categories_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu_101_object_categories_MIN_METADATA_problem"
    },
    {
        "name": "LL1_h1b_visa_apps_7480",
        "dataset_id": "LL1_h1b_visa_apps_7480_dataset",
        "problem_id": "LL1_h1b_visa_apps_7480_problem",
        "task_type": "classification",
        "size": 124930,
        "train_dataset_id": "LL1_h1b_visa_apps_7480_dataset_TRAIN",
        "train_problem_id": "LL1_h1b_visa_apps_7480_problem",
        "test_dataset_id": "LL1_h1b_visa_apps_7480_dataset_TEST",
        "test_problem_id": "LL1_h1b_visa_apps_7480_problem",
        "score_dataset_id": "LL1_h1b_visa_apps_7480_dataset_SCORE",
        "score_problem_id": "LL1_h1b_visa_apps_7480_problem"
    },
    {
        "name": "4550_MiceProtein_MIN_METADATA",
        "dataset_id": "4550_MiceProtein_MIN_METADATA_dataset",
        "problem_id": "4550_MiceProtein_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 216,
        "train_dataset_id": "4550_MiceProtein_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "4550_MiceProtein_MIN_METADATA_problem",
        "test_dataset_id": "4550_MiceProtein_MIN_METADATA_dataset_TEST",
        "test_problem_id": "4550_MiceProtein_MIN_METADATA_problem",
        "score_dataset_id": "4550_MiceProtein_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "4550_MiceProtein_MIN_METADATA_problem"
    },
    {
        "name": "uu6_hepatitis_MIN_METADATA",
        "dataset_id": "uu6_hepatitis_MIN_METADATA_dataset",
        "problem_id": "uu6_hepatitis_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 47,
        "train_dataset_id": "uu6_hepatitis_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu6_hepatitis_MIN_METADATA_problem",
        "test_dataset_id": "uu6_hepatitis_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu6_hepatitis_MIN_METADATA_problem",
        "score_dataset_id": "uu6_hepatitis_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu6_hepatitis_MIN_METADATA_problem"
    },
    {
        "name": "LL1_FaceFour_MIN_METADATA",
        "dataset_id": "LL1_FaceFour_MIN_METADATA_dataset",
        "problem_id": "LL1_FaceFour_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 88,
        "train_dataset_id": "LL1_FaceFour_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_FaceFour_MIN_METADATA_problem",
        "test_dataset_id": "LL1_FaceFour_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_FaceFour_MIN_METADATA_problem",
        "score_dataset_id": "LL1_FaceFour_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_FaceFour_MIN_METADATA_problem"
    },
    {
        "name": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA",
        "dataset_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_dataset",
        "problem_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 778,
        "train_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_problem",
        "test_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_problem",
        "score_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_TXT_CLS_apple_products_sentiment_MIN_METADATA_problem"
    },
    {
        "name": "LL1_Meat_MIN_METADATA",
        "dataset_id": "LL1_Meat_MIN_METADATA_dataset",
        "problem_id": "LL1_Meat_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 60,
        "train_dataset_id": "LL1_Meat_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_Meat_MIN_METADATA_problem",
        "test_dataset_id": "LL1_Meat_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_Meat_MIN_METADATA_problem",
        "score_dataset_id": "LL1_Meat_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_Meat_MIN_METADATA_problem"
    },
    {
        "name": "LL1_50words_MIN_METADATA",
        "dataset_id": "LL1_50words_MIN_METADATA_dataset",
        "problem_id": "LL1_50words_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 455,
        "train_dataset_id": "LL1_50words_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_50words_MIN_METADATA_problem",
        "test_dataset_id": "LL1_50words_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_50words_MIN_METADATA_problem",
        "score_dataset_id": "LL1_50words_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_50words_MIN_METADATA_problem"
    },
    {
        "name": "LL1_tidy_terra_panicle_detection_MIN_METADATA",
        "dataset_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_dataset",
        "problem_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_problem",
        "task_type": "objectDetection",
        "size": 1601,
        "train_dataset_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_problem",
        "test_dataset_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_problem",
        "score_dataset_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_tidy_terra_panicle_detection_MIN_METADATA_problem"
    },
    {
        "name": "LL1_crime_chicago_MIN_METADATA",
        "dataset_id": "LL1_crime_chicago_MIN_METADATA_dataset",
        "problem_id": "LL1_crime_chicago_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 60,
        "train_dataset_id": "LL1_crime_chicago_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_crime_chicago_MIN_METADATA_problem",
        "test_dataset_id": "LL1_crime_chicago_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_crime_chicago_MIN_METADATA_problem",
        "score_dataset_id": "LL1_crime_chicago_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_crime_chicago_MIN_METADATA_problem"
    },
    {
        "name": "LL1_penn_fudan_pedestrian_MIN_METADATA",
        "dataset_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_dataset",
        "problem_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_problem",
        "task_type": "objectDetection",
        "size": 134,
        "train_dataset_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_problem",
        "test_dataset_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_problem",
        "score_dataset_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_penn_fudan_pedestrian_MIN_METADATA_problem"
    },
    {
        "name": "LL1_ECG200_MIN_METADATA",
        "dataset_id": "LL1_ECG200_MIN_METADATA_dataset",
        "problem_id": "LL1_ECG200_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 100,
        "train_dataset_id": "LL1_ECG200_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_ECG200_MIN_METADATA_problem",
        "test_dataset_id": "LL1_ECG200_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_ECG200_MIN_METADATA_problem",
        "score_dataset_id": "LL1_ECG200_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_ECG200_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_1217_click_prediction_small_MIN_METADATA",
        "dataset_id": "SEMI_1217_click_prediction_small_MIN_METADATA_dataset",
        "problem_id": "SEMI_1217_click_prediction_small_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 29927,
        "train_dataset_id": "SEMI_1217_click_prediction_small_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_1217_click_prediction_small_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_1217_click_prediction_small_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_1217_click_prediction_small_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_1217_click_prediction_small_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_1217_click_prediction_small_MIN_METADATA_problem"
    },
    {
        "name": "185_baseball_MIN_METADATA",
        "dataset_id": "185_baseball_MIN_METADATA_dataset",
        "problem_id": "185_baseball_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 267,
        "train_dataset_id": "185_baseball_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "185_baseball_MIN_METADATA_problem",
        "test_dataset_id": "185_baseball_MIN_METADATA_dataset_TEST",
        "test_problem_id": "185_baseball_MIN_METADATA_problem",
        "score_dataset_id": "185_baseball_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "185_baseball_MIN_METADATA_problem"
    },
    {
        "name": "LL1_3476_HMDB_actio_recognition_MIN_METADATA",
        "dataset_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_dataset",
        "problem_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 63,
        "train_dataset_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_problem",
        "test_dataset_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_problem",
        "score_dataset_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_3476_HMDB_actio_recognition_MIN_METADATA_problem"
    },
    {
        "name": "LL1_ItalyPowerDemand_MIN_METADATA",
        "dataset_id": "LL1_ItalyPowerDemand_MIN_METADATA_dataset",
        "problem_id": "LL1_ItalyPowerDemand_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 1029,
        "train_dataset_id": "LL1_ItalyPowerDemand_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_ItalyPowerDemand_MIN_METADATA_problem",
        "test_dataset_id": "LL1_ItalyPowerDemand_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_ItalyPowerDemand_MIN_METADATA_problem",
        "score_dataset_id": "LL1_ItalyPowerDemand_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_ItalyPowerDemand_MIN_METADATA_problem"
    },
    {
        "name": "LL1_HandOutlines_MIN_METADATA",
        "dataset_id": "LL1_HandOutlines_MIN_METADATA_dataset",
        "problem_id": "LL1_HandOutlines_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 1000,
        "train_dataset_id": "LL1_HandOutlines_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_HandOutlines_MIN_METADATA_problem",
        "test_dataset_id": "LL1_HandOutlines_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_HandOutlines_MIN_METADATA_problem",
        "score_dataset_id": "LL1_HandOutlines_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_HandOutlines_MIN_METADATA_problem"
    },
    {
        "name": "49_facebook_MIN_METADATA",
        "dataset_id": "49_facebook_MIN_METADATA_dataset",
        "problem_id": "49_facebook_MIN_METADATA_problem",
        "task_type": "graphMatching",
        "size": 1304,
        "train_dataset_id": "49_facebook_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "49_facebook_MIN_METADATA_problem",
        "test_dataset_id": "49_facebook_MIN_METADATA_dataset_TEST",
        "test_problem_id": "49_facebook_MIN_METADATA_problem",
        "score_dataset_id": "49_facebook_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "49_facebook_MIN_METADATA_problem"
    },
    {
        "name": "56_sunspots_MIN_METADATA",
        "dataset_id": "56_sunspots_MIN_METADATA_dataset",
        "problem_id": "56_sunspots_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 21,
        "train_dataset_id": "56_sunspots_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "56_sunspots_MIN_METADATA_problem",
        "test_dataset_id": "56_sunspots_MIN_METADATA_dataset_TEST",
        "test_problem_id": "56_sunspots_MIN_METADATA_problem",
        "score_dataset_id": "56_sunspots_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "56_sunspots_MIN_METADATA_problem"
    },
    {
        "name": "LL1_Haptics_MIN_METADATA",
        "dataset_id": "LL1_Haptics_MIN_METADATA_dataset",
        "problem_id": "LL1_Haptics_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 308,
        "train_dataset_id": "LL1_Haptics_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_Haptics_MIN_METADATA_problem",
        "test_dataset_id": "LL1_Haptics_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_Haptics_MIN_METADATA_problem",
        "score_dataset_id": "LL1_Haptics_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_Haptics_MIN_METADATA_problem"
    },
    {
        "name": "political_instability_MIN_METADATA",
        "dataset_id": "political_instability_MIN_METADATA_dataset",
        "problem_id": "political_instability_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 2854,
        "train_dataset_id": "political_instability_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "political_instability_MIN_METADATA_problem",
        "test_dataset_id": "political_instability_MIN_METADATA_dataset_TEST",
        "test_problem_id": "political_instability_MIN_METADATA_problem",
        "score_dataset_id": "political_instability_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "political_instability_MIN_METADATA_problem"
    },
    {
        "name": "LL1_Cricket_Y_MIN_METADATA",
        "dataset_id": "LL1_Cricket_Y_MIN_METADATA_dataset",
        "problem_id": "LL1_Cricket_Y_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 390,
        "train_dataset_id": "LL1_Cricket_Y_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_Cricket_Y_MIN_METADATA_problem",
        "test_dataset_id": "LL1_Cricket_Y_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_Cricket_Y_MIN_METADATA_problem",
        "score_dataset_id": "LL1_Cricket_Y_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_Cricket_Y_MIN_METADATA_problem"
    },
    {
        "name": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA",
        "dataset_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_dataset",
        "problem_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 715,
        "train_dataset_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_problem",
        "test_dataset_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_problem",
        "score_dataset_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_terra_canopy_height_long_form_s4_70_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_1053_jm1_MIN_METADATA",
        "dataset_id": "SEMI_1053_jm1_MIN_METADATA_dataset",
        "problem_id": "SEMI_1053_jm1_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2176,
        "train_dataset_id": "SEMI_1053_jm1_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_1053_jm1_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_1053_jm1_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_1053_jm1_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_1053_jm1_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_1053_jm1_MIN_METADATA_problem"
    },
    {
        "name": "uu2_gp_hyperparameter_estimation_MIN_METADATA",
        "dataset_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_dataset",
        "problem_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_problem",
        "test_dataset_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_problem",
        "score_dataset_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu2_gp_hyperparameter_estimation_MIN_METADATA_problem"
    },
    {
        "name": "kaggle_music_hackathon_MIN_METADATA",
        "dataset_id": "kaggle_music_hackathon_MIN_METADATA_dataset",
        "problem_id": "kaggle_music_hackathon_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 186395,
        "train_dataset_id": "kaggle_music_hackathon_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "kaggle_music_hackathon_MIN_METADATA_problem",
        "test_dataset_id": "kaggle_music_hackathon_MIN_METADATA_dataset_TEST",
        "test_problem_id": "kaggle_music_hackathon_MIN_METADATA_problem",
        "score_dataset_id": "kaggle_music_hackathon_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "kaggle_music_hackathon_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_1044_eye_movements_MIN_METADATA",
        "dataset_id": "SEMI_1044_eye_movements_MIN_METADATA_dataset",
        "problem_id": "SEMI_1044_eye_movements_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2187,
        "train_dataset_id": "SEMI_1044_eye_movements_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_1044_eye_movements_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_1044_eye_movements_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_1044_eye_movements_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_1044_eye_movements_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_1044_eye_movements_MIN_METADATA_problem"
    },
    {
        "name": "56_sunspots_monthly_MIN_METADATA",
        "dataset_id": "56_sunspots_monthly_MIN_METADATA_dataset",
        "problem_id": "56_sunspots_monthly_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 38,
        "train_dataset_id": "56_sunspots_monthly_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "56_sunspots_monthly_MIN_METADATA_problem",
        "test_dataset_id": "56_sunspots_monthly_MIN_METADATA_dataset_TEST",
        "test_problem_id": "56_sunspots_monthly_MIN_METADATA_problem",
        "score_dataset_id": "56_sunspots_monthly_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "56_sunspots_monthly_MIN_METADATA_problem"
    },
    {
        "name": "LL1_OSULeaf_MIN_METADATA",
        "dataset_id": "LL1_OSULeaf_MIN_METADATA_dataset",
        "problem_id": "LL1_OSULeaf_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 242,
        "train_dataset_id": "LL1_OSULeaf_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_OSULeaf_MIN_METADATA_problem",
        "test_dataset_id": "LL1_OSULeaf_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_OSULeaf_MIN_METADATA_problem",
        "score_dataset_id": "LL1_OSULeaf_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_OSULeaf_MIN_METADATA_problem"
    },
    {
        "name": "LL1_Adiac_MIN_METADATA",
        "dataset_id": "LL1_Adiac_MIN_METADATA_dataset",
        "problem_id": "LL1_Adiac_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 391,
        "train_dataset_id": "LL1_Adiac_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_Adiac_MIN_METADATA_problem",
        "test_dataset_id": "LL1_Adiac_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_Adiac_MIN_METADATA_problem",
        "score_dataset_id": "LL1_Adiac_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_Adiac_MIN_METADATA_problem"
    },
    {
        "name": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA",
        "dataset_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_dataset",
        "problem_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 715,
        "train_dataset_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_problem",
        "test_dataset_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_problem",
        "score_dataset_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_terra_canopy_height_long_form_s4_100_MIN_METADATA_problem"
    },
    {
        "name": "LL1_736_population_spawn_MIN_METADATA",
        "dataset_id": "LL1_736_population_spawn_MIN_METADATA_dataset",
        "problem_id": "LL1_736_population_spawn_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 288,
        "train_dataset_id": "LL1_736_population_spawn_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_736_population_spawn_MIN_METADATA_problem",
        "test_dataset_id": "LL1_736_population_spawn_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_736_population_spawn_MIN_METADATA_problem",
        "score_dataset_id": "LL1_736_population_spawn_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_736_population_spawn_MIN_METADATA_problem"
    },
    {
        "name": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA",
        "dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_dataset",
        "problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 1795404,
        "train_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_problem",
        "test_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_problem",
        "score_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_MIN_METADATA_problem"
    },
    {
        "name": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA",
        "dataset_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_dataset",
        "problem_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 715,
        "train_dataset_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_problem",
        "test_dataset_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_problem",
        "score_dataset_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_terra_canopy_height_long_form_s4_90_MIN_METADATA_problem"
    },
    {
        "name": "66_chlorineConcentration_MIN_METADATA",
        "dataset_id": "66_chlorineConcentration_MIN_METADATA_dataset",
        "problem_id": "66_chlorineConcentration_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 3840,
        "train_dataset_id": "66_chlorineConcentration_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "66_chlorineConcentration_MIN_METADATA_problem",
        "test_dataset_id": "66_chlorineConcentration_MIN_METADATA_dataset_TEST",
        "test_problem_id": "66_chlorineConcentration_MIN_METADATA_problem",
        "score_dataset_id": "66_chlorineConcentration_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "66_chlorineConcentration_MIN_METADATA_problem"
    },
    {
        "name": "1567_poker_hand_MIN_METADATA",
        "dataset_id": "1567_poker_hand_MIN_METADATA_dataset",
        "problem_id": "1567_poker_hand_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 205001,
        "train_dataset_id": "1567_poker_hand_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "1567_poker_hand_MIN_METADATA_problem",
        "test_dataset_id": "1567_poker_hand_MIN_METADATA_dataset_TEST",
        "test_problem_id": "1567_poker_hand_MIN_METADATA_problem",
        "score_dataset_id": "1567_poker_hand_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "1567_poker_hand_MIN_METADATA_problem"
    },
    {
        "name": "LL1_ACLED_TOR_online_behavior_MIN_METADATA",
        "dataset_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_dataset",
        "problem_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 758,
        "train_dataset_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_problem",
        "test_dataset_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_problem",
        "score_dataset_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_ACLED_TOR_online_behavior_MIN_METADATA_problem"
    },
    {
        "name": "LL1_DIC28_net_MIN_METADATA",
        "dataset_id": "LL1_DIC28_net_MIN_METADATA_dataset",
        "problem_id": "LL1_DIC28_net_MIN_METADATA_problem",
        "task_type": "graphMatching",
        "size": 343,
        "train_dataset_id": "LL1_DIC28_net_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_DIC28_net_MIN_METADATA_problem",
        "test_dataset_id": "LL1_DIC28_net_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_DIC28_net_MIN_METADATA_problem",
        "score_dataset_id": "LL1_DIC28_net_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_DIC28_net_MIN_METADATA_problem"
    },
    {
        "name": "299_libras_move_MIN_METADATA",
        "dataset_id": "299_libras_move_MIN_METADATA_dataset",
        "problem_id": "299_libras_move_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 72,
        "train_dataset_id": "299_libras_move_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "299_libras_move_MIN_METADATA_problem",
        "test_dataset_id": "299_libras_move_MIN_METADATA_dataset_TEST",
        "test_problem_id": "299_libras_move_MIN_METADATA_problem",
        "score_dataset_id": "299_libras_move_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "299_libras_move_MIN_METADATA_problem"
    },
    {
        "name": "uu3_world_development_indicators_raw",
        "dataset_id": "uu3_world_development_indicators_raw_dataset",
        "problem_id": "uu3_world_development_indicators_raw_problem",
        "task_type": "regression",
        "size": 12304,
        "train_dataset_id": "uu3_world_development_indicators_raw_dataset_TRAIN",
        "train_problem_id": "uu3_world_development_indicators_raw_problem",
        "test_dataset_id": "uu3_world_development_indicators_raw_dataset_TEST",
        "test_problem_id": "uu3_world_development_indicators_raw_problem",
        "score_dataset_id": "uu3_world_development_indicators_raw_dataset_SCORE",
        "score_problem_id": "uu3_world_development_indicators_raw_problem"
    },
    {
        "name": "LL1_ElectricDevices_MIN_METADATA",
        "dataset_id": "LL1_ElectricDevices_MIN_METADATA_dataset",
        "problem_id": "LL1_ElectricDevices_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 7711,
        "train_dataset_id": "LL1_ElectricDevices_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_ElectricDevices_MIN_METADATA_problem",
        "test_dataset_id": "LL1_ElectricDevices_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_ElectricDevices_MIN_METADATA_problem",
        "score_dataset_id": "LL1_ElectricDevices_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_ElectricDevices_MIN_METADATA_problem"
    },
    {
        "name": "22_handgeometry_MIN_METADATA",
        "dataset_id": "22_handgeometry_MIN_METADATA_dataset",
        "problem_id": "22_handgeometry_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 38,
        "train_dataset_id": "22_handgeometry_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "22_handgeometry_MIN_METADATA_problem",
        "test_dataset_id": "22_handgeometry_MIN_METADATA_dataset_TEST",
        "test_problem_id": "22_handgeometry_MIN_METADATA_problem",
        "score_dataset_id": "22_handgeometry_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "22_handgeometry_MIN_METADATA_problem"
    },
    {
        "name": "26_radon_seed_MIN_METADATA",
        "dataset_id": "26_radon_seed_MIN_METADATA_dataset",
        "problem_id": "26_radon_seed_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 183,
        "train_dataset_id": "26_radon_seed_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "26_radon_seed_MIN_METADATA_problem",
        "test_dataset_id": "26_radon_seed_MIN_METADATA_dataset_TEST",
        "test_problem_id": "26_radon_seed_MIN_METADATA_problem",
        "score_dataset_id": "26_radon_seed_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "26_radon_seed_MIN_METADATA_problem"
    },
    {
        "name": "LL1_net_nomination_seed_MIN_METADATA",
        "dataset_id": "LL1_net_nomination_seed_MIN_METADATA_dataset",
        "problem_id": "LL1_net_nomination_seed_MIN_METADATA_problem",
        "task_type": "vertexClassification",
        "size": 80,
        "train_dataset_id": "LL1_net_nomination_seed_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_net_nomination_seed_MIN_METADATA_problem",
        "test_dataset_id": "LL1_net_nomination_seed_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_net_nomination_seed_MIN_METADATA_problem",
        "score_dataset_id": "LL1_net_nomination_seed_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_net_nomination_seed_MIN_METADATA_problem"
    },
    {
        "name": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA",
        "dataset_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_dataset",
        "problem_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_problem",
        "task_type": "communityDetection",
        "size": 1781,
        "train_dataset_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_problem",
        "test_dataset_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_problem",
        "score_dataset_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_bn_fly_drosophila_medulla_net_MIN_METADATA_problem"
    },
    {
        "name": "60_jester_MIN_METADATA",
        "dataset_id": "60_jester_MIN_METADATA_dataset",
        "problem_id": "60_jester_MIN_METADATA_problem",
        "task_type": "collaborativeFiltering",
        "size": 880720,
        "train_dataset_id": "60_jester_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "60_jester_MIN_METADATA_problem",
        "test_dataset_id": "60_jester_MIN_METADATA_dataset_TEST",
        "test_problem_id": "60_jester_MIN_METADATA_problem",
        "score_dataset_id": "60_jester_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "60_jester_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_1040_sylva_prior_MIN_METADATA",
        "dataset_id": "SEMI_1040_sylva_prior_MIN_METADATA_dataset",
        "problem_id": "SEMI_1040_sylva_prior_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2878,
        "train_dataset_id": "SEMI_1040_sylva_prior_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_1040_sylva_prior_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_1040_sylva_prior_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_1040_sylva_prior_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_1040_sylva_prior_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_1040_sylva_prior_MIN_METADATA_problem"
    },
    {
        "name": "LL0_186_braziltourism_MIN_METADATA",
        "dataset_id": "LL0_186_braziltourism_MIN_METADATA_dataset",
        "problem_id": "LL0_186_braziltourism_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 82,
        "train_dataset_id": "LL0_186_braziltourism_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL0_186_braziltourism_MIN_METADATA_problem",
        "test_dataset_id": "LL0_186_braziltourism_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL0_186_braziltourism_MIN_METADATA_problem",
        "score_dataset_id": "LL0_186_braziltourism_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL0_186_braziltourism_MIN_METADATA_problem"
    },
    {
        "name": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA",
        "dataset_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_dataset",
        "problem_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 6921,
        "train_dataset_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_problem",
        "test_dataset_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_problem",
        "score_dataset_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_PHEM_Monthly_Malnutrition_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_155_pokerhand_MIN_METADATA",
        "dataset_id": "SEMI_155_pokerhand_MIN_METADATA_dataset",
        "problem_id": "SEMI_155_pokerhand_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 165840,
        "train_dataset_id": "SEMI_155_pokerhand_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_155_pokerhand_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_155_pokerhand_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_155_pokerhand_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_155_pokerhand_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_155_pokerhand_MIN_METADATA_problem"
    },
    {
        "name": "SEMI_1459_artificial_characters_MIN_METADATA",
        "dataset_id": "SEMI_1459_artificial_characters_MIN_METADATA_dataset",
        "problem_id": "SEMI_1459_artificial_characters_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2043,
        "train_dataset_id": "SEMI_1459_artificial_characters_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "SEMI_1459_artificial_characters_MIN_METADATA_problem",
        "test_dataset_id": "SEMI_1459_artificial_characters_MIN_METADATA_dataset_TEST",
        "test_problem_id": "SEMI_1459_artificial_characters_MIN_METADATA_problem",
        "score_dataset_id": "SEMI_1459_artificial_characters_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "SEMI_1459_artificial_characters_MIN_METADATA_problem"
    },
    {
        "name": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA",
        "dataset_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_dataset",
        "problem_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 715,
        "train_dataset_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_problem",
        "test_dataset_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_problem",
        "score_dataset_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_terra_canopy_height_long_form_s4_80_MIN_METADATA_problem"
    },
    {
        "name": "124_188_usps_MIN_METADATA",
        "dataset_id": "124_188_usps_MIN_METADATA_dataset",
        "problem_id": "124_188_usps_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2007,
        "train_dataset_id": "124_188_usps_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "124_188_usps_MIN_METADATA_problem",
        "test_dataset_id": "124_188_usps_MIN_METADATA_dataset_TEST",
        "test_problem_id": "124_188_usps_MIN_METADATA_problem",
        "score_dataset_id": "124_188_usps_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "124_188_usps_MIN_METADATA_problem"
    },
    {
        "name": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA",
        "dataset_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_dataset",
        "problem_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 751,
        "train_dataset_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_problem",
        "test_dataset_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_problem",
        "score_dataset_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_terra_leaf_angle_mean_long_form_s4_MIN_METADATA_problem"
    },
    {
        "name": "57_hypothyroid_MIN_METADATA",
        "dataset_id": "57_hypothyroid_MIN_METADATA_dataset",
        "problem_id": "57_hypothyroid_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 754,
        "train_dataset_id": "57_hypothyroid_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "57_hypothyroid_MIN_METADATA_problem",
        "test_dataset_id": "57_hypothyroid_MIN_METADATA_dataset_TEST",
        "test_problem_id": "57_hypothyroid_MIN_METADATA_problem",
        "score_dataset_id": "57_hypothyroid_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "57_hypothyroid_MIN_METADATA_problem"
    },
    {
        "name": "uu7_pima_diabetes_MIN_METADATA",
        "dataset_id": "uu7_pima_diabetes_MIN_METADATA_dataset",
        "problem_id": "uu7_pima_diabetes_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 231,
        "train_dataset_id": "uu7_pima_diabetes_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu7_pima_diabetes_MIN_METADATA_problem",
        "test_dataset_id": "uu7_pima_diabetes_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu7_pima_diabetes_MIN_METADATA_problem",
        "score_dataset_id": "uu7_pima_diabetes_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu7_pima_diabetes_MIN_METADATA_problem"
    },
    {
        "name": "uu3_world_development_indicators_MIN_METADATA",
        "dataset_id": "uu3_world_development_indicators_MIN_METADATA_dataset",
        "problem_id": "uu3_world_development_indicators_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 12304,
        "train_dataset_id": "uu3_world_development_indicators_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu3_world_development_indicators_MIN_METADATA_problem",
        "test_dataset_id": "uu3_world_development_indicators_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu3_world_development_indicators_MIN_METADATA_problem",
        "score_dataset_id": "uu3_world_development_indicators_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu3_world_development_indicators_MIN_METADATA_problem"
    },
    {
        "name": "LL1_736_population_spawn_simpler_MIN_METADATA",
        "dataset_id": "LL1_736_population_spawn_simpler_MIN_METADATA_dataset",
        "problem_id": "LL1_736_population_spawn_simpler_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 144,
        "train_dataset_id": "LL1_736_population_spawn_simpler_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_736_population_spawn_simpler_MIN_METADATA_problem",
        "test_dataset_id": "LL1_736_population_spawn_simpler_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_736_population_spawn_simpler_MIN_METADATA_problem",
        "score_dataset_id": "LL1_736_population_spawn_simpler_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_736_population_spawn_simpler_MIN_METADATA_problem"
    },
    {
        "name": "LL1_GS_process_classification_tabular_MIN_METADATA",
        "dataset_id": "LL1_GS_process_classification_tabular_MIN_METADATA_dataset",
        "problem_id": "LL1_GS_process_classification_tabular_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 144,
        "train_dataset_id": "LL1_GS_process_classification_tabular_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_GS_process_classification_tabular_MIN_METADATA_problem",
        "test_dataset_id": "LL1_GS_process_classification_tabular_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_GS_process_classification_tabular_MIN_METADATA_problem",
        "score_dataset_id": "LL1_GS_process_classification_tabular_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_GS_process_classification_tabular_MIN_METADATA_problem"
    },
    {
        "name": "LL0_acled_reduced_MIN_METADATA",
        "dataset_id": "LL0_acled_reduced_MIN_METADATA_dataset",
        "problem_id": "LL0_acled_reduced_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 7201,
        "train_dataset_id": "LL0_acled_reduced_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL0_acled_reduced_MIN_METADATA_problem",
        "test_dataset_id": "LL0_acled_reduced_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL0_acled_reduced_MIN_METADATA_problem",
        "score_dataset_id": "LL0_acled_reduced_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL0_acled_reduced_MIN_METADATA_problem"
    },
    {
        "name": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA",
        "dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_dataset",
        "problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 1795404,
        "train_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_problem",
        "test_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_problem",
        "score_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_MIN_METADATA_problem"
    },
    {
        "name": "31_urbansound_MIN_METADATA",
        "dataset_id": "31_urbansound_MIN_METADATA_dataset",
        "problem_id": "31_urbansound_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 378,
        "train_dataset_id": "31_urbansound_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "31_urbansound_MIN_METADATA_problem",
        "test_dataset_id": "31_urbansound_MIN_METADATA_dataset_TEST",
        "test_problem_id": "31_urbansound_MIN_METADATA_problem",
        "score_dataset_id": "31_urbansound_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "31_urbansound_MIN_METADATA_problem"
    },
    {
        "name": "38_sick_MIN_METADATA",
        "dataset_id": "38_sick_MIN_METADATA_dataset",
        "problem_id": "38_sick_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 754,
        "train_dataset_id": "38_sick_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "38_sick_MIN_METADATA_problem",
        "test_dataset_id": "38_sick_MIN_METADATA_dataset_TEST",
        "test_problem_id": "38_sick_MIN_METADATA_problem",
        "score_dataset_id": "38_sick_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "38_sick_MIN_METADATA_problem"
    },
    {
        "name": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA",
        "dataset_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_dataset",
        "problem_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 8357,
        "train_dataset_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_problem",
        "test_dataset_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_problem",
        "score_dataset_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_TXT_CLS_3746_newsgroup_MIN_METADATA_problem"
    },
    {
        "name": "27_wordLevels_MIN_METADATA",
        "dataset_id": "27_wordLevels_MIN_METADATA_dataset",
        "problem_id": "27_wordLevels_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 1400,
        "train_dataset_id": "27_wordLevels_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "27_wordLevels_MIN_METADATA_problem",
        "test_dataset_id": "27_wordLevels_MIN_METADATA_dataset_TEST",
        "test_problem_id": "27_wordLevels_MIN_METADATA_problem",
        "score_dataset_id": "27_wordLevels_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "27_wordLevels_MIN_METADATA_problem"
    },
    {
        "name": "uu4_SPECT_MIN_METADATA",
        "dataset_id": "uu4_SPECT_MIN_METADATA_dataset",
        "problem_id": "uu4_SPECT_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 53,
        "train_dataset_id": "uu4_SPECT_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu4_SPECT_MIN_METADATA_problem",
        "test_dataset_id": "uu4_SPECT_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu4_SPECT_MIN_METADATA_problem",
        "score_dataset_id": "uu4_SPECT_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu4_SPECT_MIN_METADATA_problem"
    },
    {
        "name": "uu5_heartstatlog_MIN_METADATA",
        "dataset_id": "uu5_heartstatlog_MIN_METADATA_dataset",
        "problem_id": "uu5_heartstatlog_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 81,
        "train_dataset_id": "uu5_heartstatlog_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu5_heartstatlog_MIN_METADATA_problem",
        "test_dataset_id": "uu5_heartstatlog_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu5_heartstatlog_MIN_METADATA_problem",
        "score_dataset_id": "uu5_heartstatlog_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu5_heartstatlog_MIN_METADATA_problem"
    },
    {
        "name": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA",
        "dataset_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_dataset",
        "problem_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_problem",
        "task_type": "vertexClassification",
        "size": 80,
        "train_dataset_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_problem",
        "test_dataset_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_problem",
        "score_dataset_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_EDGELIST_net_nomination_seed_MIN_METADATA_problem"
    },
    {
        "name": "124_174_cifar10_MIN_METADATA",
        "dataset_id": "124_174_cifar10_MIN_METADATA_dataset",
        "problem_id": "124_174_cifar10_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 10000,
        "train_dataset_id": "124_174_cifar10_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "124_174_cifar10_MIN_METADATA_problem",
        "test_dataset_id": "124_174_cifar10_MIN_METADATA_dataset_TEST",
        "test_problem_id": "124_174_cifar10_MIN_METADATA_problem",
        "score_dataset_id": "124_174_cifar10_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "124_174_cifar10_MIN_METADATA_problem"
    },
    {
        "name": "LL1_VTXC_1343_cora_MIN_METADATA",
        "dataset_id": "LL1_VTXC_1343_cora_MIN_METADATA_dataset",
        "problem_id": "LL1_VTXC_1343_cora_MIN_METADATA_problem",
        "task_type": "vertexClassification",
        "size": 2438,
        "train_dataset_id": "LL1_VTXC_1343_cora_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_VTXC_1343_cora_MIN_METADATA_problem",
        "test_dataset_id": "LL1_VTXC_1343_cora_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_VTXC_1343_cora_MIN_METADATA_problem",
        "score_dataset_id": "LL1_VTXC_1343_cora_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_VTXC_1343_cora_MIN_METADATA_problem"
    },
    {
        "name": "59_umls_MIN_METADATA",
        "dataset_id": "59_umls_MIN_METADATA_dataset",
        "problem_id": "59_umls_MIN_METADATA_problem",
        "task_type": "linkPrediction",
        "size": 3409,
        "train_dataset_id": "59_umls_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "59_umls_MIN_METADATA_problem",
        "test_dataset_id": "59_umls_MIN_METADATA_dataset_TEST",
        "test_problem_id": "59_umls_MIN_METADATA_problem",
        "score_dataset_id": "59_umls_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "59_umls_MIN_METADATA_problem"
    },
    {
        "name": "6_70_com_amazon_MIN_METADATA",
        "dataset_id": "6_70_com_amazon_MIN_METADATA_dataset",
        "problem_id": "6_70_com_amazon_MIN_METADATA_problem",
        "task_type": "communityDetection",
        "size": 62462,
        "train_dataset_id": "6_70_com_amazon_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "6_70_com_amazon_MIN_METADATA_problem",
        "test_dataset_id": "6_70_com_amazon_MIN_METADATA_dataset_TEST",
        "test_problem_id": "6_70_com_amazon_MIN_METADATA_problem",
        "score_dataset_id": "6_70_com_amazon_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "6_70_com_amazon_MIN_METADATA_problem"
    },
    {
        "name": "LL1_VID_UCF11_MIN_METADATA",
        "dataset_id": "LL1_VID_UCF11_MIN_METADATA_dataset",
        "problem_id": "LL1_VID_UCF11_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 320,
        "train_dataset_id": "LL1_VID_UCF11_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_VID_UCF11_MIN_METADATA_problem",
        "test_dataset_id": "LL1_VID_UCF11_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_VID_UCF11_MIN_METADATA_problem",
        "score_dataset_id": "LL1_VID_UCF11_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_VID_UCF11_MIN_METADATA_problem"
    },
    {
        "name": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA",
        "dataset_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_dataset",
        "problem_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 26985,
        "train_dataset_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_problem",
        "test_dataset_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_problem",
        "score_dataset_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_PHEM_weeklyData_malnutrition_MIN_METADATA_problem"
    },
    {
        "name": "LL1_TXT_CLS_airline_opinion_MIN_METADATA",
        "dataset_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_dataset",
        "problem_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 2928,
        "train_dataset_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_problem",
        "test_dataset_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_problem",
        "score_dataset_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_TXT_CLS_airline_opinion_MIN_METADATA_problem"
    },
    {
        "name": "LL0_207_autoPrice_MIN_METADATA",
        "dataset_id": "LL0_207_autoPrice_MIN_METADATA_dataset",
        "problem_id": "LL0_207_autoPrice_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "LL0_207_autoPrice_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL0_207_autoPrice_MIN_METADATA_problem",
        "test_dataset_id": "LL0_207_autoPrice_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL0_207_autoPrice_MIN_METADATA_problem",
        "score_dataset_id": "LL0_207_autoPrice_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL0_207_autoPrice_MIN_METADATA_problem"
    },
    {
        "name": "313_spectrometer_MIN_METADATA",
        "dataset_id": "313_spectrometer_MIN_METADATA_dataset",
        "problem_id": "313_spectrometer_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 103,
        "train_dataset_id": "313_spectrometer_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "313_spectrometer_MIN_METADATA_problem",
        "test_dataset_id": "313_spectrometer_MIN_METADATA_dataset_TEST",
        "test_problem_id": "313_spectrometer_MIN_METADATA_problem",
        "score_dataset_id": "313_spectrometer_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "313_spectrometer_MIN_METADATA_problem"
    },
    {
        "name": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA",
        "dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_dataset",
        "problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 54,
        "train_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_problem",
        "test_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_problem",
        "score_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_MIN_METADATA_problem"
    },
    {
        "name": "6_86_com_DBLP_MIN_METADATA",
        "dataset_id": "6_86_com_DBLP_MIN_METADATA_dataset",
        "problem_id": "6_86_com_DBLP_MIN_METADATA_problem",
        "task_type": "communityDetection",
        "size": 107228,
        "train_dataset_id": "6_86_com_DBLP_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "6_86_com_DBLP_MIN_METADATA_problem",
        "test_dataset_id": "6_86_com_DBLP_MIN_METADATA_dataset_TEST",
        "test_problem_id": "6_86_com_DBLP_MIN_METADATA_problem",
        "score_dataset_id": "6_86_com_DBLP_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "6_86_com_DBLP_MIN_METADATA_problem"
    },
    {
        "name": "124_95_uc_merced_land_use_MIN_METADATA",
        "dataset_id": "124_95_uc_merced_land_use_MIN_METADATA_dataset",
        "problem_id": "124_95_uc_merced_land_use_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 420,
        "train_dataset_id": "124_95_uc_merced_land_use_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "124_95_uc_merced_land_use_MIN_METADATA_problem",
        "test_dataset_id": "124_95_uc_merced_land_use_MIN_METADATA_dataset_TEST",
        "test_problem_id": "124_95_uc_merced_land_use_MIN_METADATA_problem",
        "score_dataset_id": "124_95_uc_merced_land_use_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "124_95_uc_merced_land_use_MIN_METADATA_problem"
    },
    {
        "name": "LL1_GS_process_classification_text_MIN_METADATA",
        "dataset_id": "LL1_GS_process_classification_text_MIN_METADATA_dataset",
        "problem_id": "LL1_GS_process_classification_text_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 144,
        "train_dataset_id": "LL1_GS_process_classification_text_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_GS_process_classification_text_MIN_METADATA_problem",
        "test_dataset_id": "LL1_GS_process_classification_text_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_GS_process_classification_text_MIN_METADATA_problem",
        "score_dataset_id": "LL1_GS_process_classification_text_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_GS_process_classification_text_MIN_METADATA_problem"
    },
    {
        "name": "LL1_FB15k_237",
        "dataset_id": "LL1_FB15k_237_dataset",
        "problem_id": "LL1_FB15k_237_problem",
        "task_type": "linkPrediction",
        "size": 20466,
        "train_dataset_id": "LL1_FB15k_237_dataset_TRAIN",
        "train_problem_id": "LL1_FB15k_237_problem",
        "test_dataset_id": "LL1_FB15k_237_dataset_TEST",
        "test_problem_id": "LL1_FB15k_237_problem",
        "score_dataset_id": "LL1_FB15k_237_dataset_SCORE",
        "score_problem_id": "LL1_FB15k_237_problem"
    },
    {
        "name": "196_autoMpg_MIN_METADATA",
        "dataset_id": "196_autoMpg_MIN_METADATA_dataset",
        "problem_id": "196_autoMpg_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "196_autoMpg_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "196_autoMpg_MIN_METADATA_problem",
        "test_dataset_id": "196_autoMpg_MIN_METADATA_dataset_TEST",
        "test_problem_id": "196_autoMpg_MIN_METADATA_problem",
        "score_dataset_id": "196_autoMpg_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "196_autoMpg_MIN_METADATA_problem"
    },
    {
        "name": "32_fma_MIN_METADATA",
        "dataset_id": "32_fma_MIN_METADATA_dataset",
        "problem_id": "32_fma_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 1600,
        "train_dataset_id": "32_fma_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "32_fma_MIN_METADATA_problem",
        "test_dataset_id": "32_fma_MIN_METADATA_dataset_TEST",
        "test_problem_id": "32_fma_MIN_METADATA_problem",
        "score_dataset_id": "32_fma_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "32_fma_MIN_METADATA_problem"
    },
    {
        "name": "loan_status_MIN_METADATA",
        "dataset_id": "loan_status_MIN_METADATA_dataset",
        "problem_id": "loan_status_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 682,
        "train_dataset_id": "loan_status_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "loan_status_MIN_METADATA_problem",
        "test_dataset_id": "loan_status_MIN_METADATA_dataset_TEST",
        "test_problem_id": "loan_status_MIN_METADATA_problem",
        "score_dataset_id": "loan_status_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "loan_status_MIN_METADATA_problem"
    },
    {
        "name": "LL1_retail_sales_total_MIN_METADATA",
        "dataset_id": "LL1_retail_sales_total_MIN_METADATA_dataset",
        "problem_id": "LL1_retail_sales_total_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 7668,
        "train_dataset_id": "LL1_retail_sales_total_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_retail_sales_total_MIN_METADATA_problem",
        "test_dataset_id": "LL1_retail_sales_total_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_retail_sales_total_MIN_METADATA_problem",
        "score_dataset_id": "LL1_retail_sales_total_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_retail_sales_total_MIN_METADATA_problem"
    },
    {
        "name": "1491_one_hundred_plants_margin_MIN_METADATA",
        "dataset_id": "1491_one_hundred_plants_margin_MIN_METADATA_dataset",
        "problem_id": "1491_one_hundred_plants_margin_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 319,
        "train_dataset_id": "1491_one_hundred_plants_margin_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "1491_one_hundred_plants_margin_MIN_METADATA_problem",
        "test_dataset_id": "1491_one_hundred_plants_margin_MIN_METADATA_dataset_TEST",
        "test_problem_id": "1491_one_hundred_plants_margin_MIN_METADATA_problem",
        "score_dataset_id": "1491_one_hundred_plants_margin_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "1491_one_hundred_plants_margin_MIN_METADATA_problem"
    },
    {
        "name": "uu1_datasmash_MIN_METADATA",
        "dataset_id": "uu1_datasmash_MIN_METADATA_dataset",
        "problem_id": "uu1_datasmash_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 137,
        "train_dataset_id": "uu1_datasmash_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "uu1_datasmash_MIN_METADATA_problem",
        "test_dataset_id": "uu1_datasmash_MIN_METADATA_dataset_TEST",
        "test_problem_id": "uu1_datasmash_MIN_METADATA_problem",
        "score_dataset_id": "uu1_datasmash_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "uu1_datasmash_MIN_METADATA_problem"
    },
    {
        "name": "LL1_MITLL_synthetic_vora_E_2538",
        "dataset_id": "LL1_MITLL_synthetic_vora_E_2538_dataset",
        "problem_id": "LL1_MITLL_synthetic_vora_E_2538_problem",
        "task_type": "classification",
        "size": 40085,
        "train_dataset_id": "LL1_MITLL_synthetic_vora_E_2538_dataset_TRAIN",
        "train_problem_id": "LL1_MITLL_synthetic_vora_E_2538_problem",
        "test_dataset_id": "LL1_MITLL_synthetic_vora_E_2538_dataset_TEST",
        "test_problem_id": "LL1_MITLL_synthetic_vora_E_2538_problem",
        "score_dataset_id": "LL1_MITLL_synthetic_vora_E_2538_dataset_SCORE",
        "score_problem_id": "LL1_MITLL_synthetic_vora_E_2538_problem"
    },
    {
        "name": "LL1_VTXC_1369_synthetic_MIN_METADATA",
        "dataset_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_dataset",
        "problem_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_problem",
        "task_type": "vertexClassification",
        "size": 900,
        "train_dataset_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_problem",
        "test_dataset_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_problem",
        "score_dataset_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_VTXC_1369_synthetic_MIN_METADATA_problem"
    },
    {
        "name": "LL1_ArrowHead_MIN_METADATA",
        "dataset_id": "LL1_ArrowHead_MIN_METADATA_dataset",
        "problem_id": "LL1_ArrowHead_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 175,
        "train_dataset_id": "LL1_ArrowHead_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_ArrowHead_MIN_METADATA_problem",
        "test_dataset_id": "LL1_ArrowHead_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_ArrowHead_MIN_METADATA_problem",
        "score_dataset_id": "LL1_ArrowHead_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_ArrowHead_MIN_METADATA_problem"
    },
    {
        "name": "LL1_736_stock_market_MIN_METADATA",
        "dataset_id": "LL1_736_stock_market_MIN_METADATA_dataset",
        "problem_id": "LL1_736_stock_market_MIN_METADATA_problem",
        "task_type": "timeseriesForecasting",
        "size": 229,
        "train_dataset_id": "LL1_736_stock_market_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_736_stock_market_MIN_METADATA_problem",
        "test_dataset_id": "LL1_736_stock_market_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_736_stock_market_MIN_METADATA_problem",
        "score_dataset_id": "LL1_736_stock_market_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_736_stock_market_MIN_METADATA_problem"
    },
    {
        "name": "32_wikiqa_MIN_METADATA",
        "dataset_id": "32_wikiqa_MIN_METADATA_dataset",
        "problem_id": "32_wikiqa_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 5852,
        "train_dataset_id": "32_wikiqa_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "32_wikiqa_MIN_METADATA_problem",
        "test_dataset_id": "32_wikiqa_MIN_METADATA_dataset_TEST",
        "test_problem_id": "32_wikiqa_MIN_METADATA_problem",
        "score_dataset_id": "32_wikiqa_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "32_wikiqa_MIN_METADATA_problem"
    },
    {
        "name": "LL1_FISH_MIN_METADATA",
        "dataset_id": "LL1_FISH_MIN_METADATA_dataset",
        "problem_id": "LL1_FISH_MIN_METADATA_problem",
        "task_type": "timeseriesClassification",
        "size": 175,
        "train_dataset_id": "LL1_FISH_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "LL1_FISH_MIN_METADATA_problem",
        "test_dataset_id": "LL1_FISH_MIN_METADATA_dataset_TEST",
        "test_problem_id": "LL1_FISH_MIN_METADATA_problem",
        "score_dataset_id": "LL1_FISH_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "LL1_FISH_MIN_METADATA_problem"
    },
    {
        "name": "124_214_coil20_MIN_METADATA",
        "dataset_id": "124_214_coil20_MIN_METADATA_dataset",
        "problem_id": "124_214_coil20_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 1360,
        "train_dataset_id": "124_214_coil20_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "124_214_coil20_MIN_METADATA_problem",
        "test_dataset_id": "124_214_coil20_MIN_METADATA_dataset_TEST",
        "test_problem_id": "124_214_coil20_MIN_METADATA_problem",
        "score_dataset_id": "124_214_coil20_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "124_214_coil20_MIN_METADATA_problem"
    },
    {
        "name": "534_cps_85_wages_MIN_METADATA",
        "dataset_id": "534_cps_85_wages_MIN_METADATA_dataset",
        "problem_id": "534_cps_85_wages_MIN_METADATA_problem",
        "task_type": "regression",
        "size": 106,
        "train_dataset_id": "534_cps_85_wages_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "534_cps_85_wages_MIN_METADATA_problem",
        "test_dataset_id": "534_cps_85_wages_MIN_METADATA_dataset_TEST",
        "test_problem_id": "534_cps_85_wages_MIN_METADATA_problem",
        "score_dataset_id": "534_cps_85_wages_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "534_cps_85_wages_MIN_METADATA_problem"
    },
    {
        "name": "LL1_CONFLICT_3457_atrocity_forecasting",
        "dataset_id": "LL1_CONFLICT_3457_atrocity_forecasting_dataset",
        "problem_id": "LL1_CONFLICT_3457_atrocity_forecasting_problem",
        "task_type": "timeseriesForecasting",
        "size": 85,
        "train_dataset_id": "LL1_CONFLICT_3457_atrocity_forecasting_dataset_TRAIN",
        "train_problem_id": "LL1_CONFLICT_3457_atrocity_forecasting_problem",
        "test_dataset_id": "LL1_CONFLICT_3457_atrocity_forecasting_dataset_TEST",
        "test_problem_id": "LL1_CONFLICT_3457_atrocity_forecasting_problem",
        "score_dataset_id": "LL1_CONFLICT_3457_atrocity_forecasting_dataset_SCORE",
        "score_problem_id": "LL1_CONFLICT_3457_atrocity_forecasting_problem"
    },
    {
        "name": "30_personae_MIN_METADATA",
        "dataset_id": "30_personae_MIN_METADATA_dataset",
        "problem_id": "30_personae_MIN_METADATA_problem",
        "task_type": "classification",
        "size": 29,
        "train_dataset_id": "30_personae_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "30_personae_MIN_METADATA_problem",
        "test_dataset_id": "30_personae_MIN_METADATA_dataset_TEST",
        "test_problem_id": "30_personae_MIN_METADATA_problem",
        "score_dataset_id": "30_personae_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "30_personae_MIN_METADATA_problem"
    },
    {
        "name": "59_LP_karate_MIN_METADATA",
        "dataset_id": "59_LP_karate_MIN_METADATA_dataset",
        "problem_id": "59_LP_karate_MIN_METADATA_problem",
        "task_type": "linkPrediction",
        "size": 76,
        "train_dataset_id": "59_LP_karate_MIN_METADATA_dataset_TRAIN",
        "train_problem_id": "59_LP_karate_MIN_METADATA_problem",
        "test_dataset_id": "59_LP_karate_MIN_METADATA_dataset_TEST",
        "test_problem_id": "59_LP_karate_MIN_METADATA_problem",
        "score_dataset_id": "59_LP_karate_MIN_METADATA_dataset_SCORE",
        "score_problem_id": "59_LP_karate_MIN_METADATA_problem"
    }
]
'''

BAD_DATASETS_JSON = '''
[
    {
        "name": "uu10_posts_3_MIN_METADATA",
        "error": "[Errno 2] No such file or directory: '/home/eriq/code/d3m/ta1/tests/data/seed_datasets_current/uu10_posts_3_MIN_METADATA/SCORE/problem_SCORE/dataSplits.csv'"
    },
    {
        "name": "uu9_posts_2_MIN_METADATA",
        "error": "[Errno 2] No such file or directory: '/home/eriq/code/d3m/ta1/tests/data/seed_datasets_current/uu9_posts_2_MIN_METADATA/SCORE/problem_SCORE/dataSplits.csv'"
    },
    {
        "name": "uu8_posts_1_MIN_METADATA",
        "error": "[Errno 2] No such file or directory: '/home/eriq/code/d3m/ta1/tests/data/seed_datasets_current/uu8_posts_1_MIN_METADATA/SCORE/problem_SCORE/dataSplits.csv'"
    },
    {
        "name": "101_object_categories",
        "error": "[Errno 2] No such file or directory: '/home/eriq/code/d3m/ta1/tests/data/seed_datasets_current/101_object_categories/101_object_categories_dataset/datasetDoc.json'"
    },
    {
        "name": "LL1_GT_actor_group_association_prediction_MIN_METADATA",
        "error": "More than one supported task types ({'timeSeries', 'linkPrediction'}) found in taskKeywords from problemDoc (['linkPrediction', 'graph', 'timeSeries'])."
    }
]
'''

ALL_DATASETS = json.loads(ALL_DATASETS_JSON)
